# Copyright (c) 2021 Project CHIP Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

name: 33.2.2. [TC-FLW-2.2] Primary functionality with server as DUT

PICS:
    - FLW.S

config:
    nodeId: 0x12344321
    cluster: "Flow Measurement"
    endpoint: 1

tests:
    - label:
          "Step 1: Commission DUT to TH (can be skipped if done in a preceding
          test)."
      cluster: "DelayCommands"
      command: "WaitForCommissionee"
      arguments:
          values:
              - name: "nodeId"
                value: nodeId

    - label: "Step 2: TH reads from the DUT the MeasuredValue attribute."
      PICS: FLW.S.A0000
      command: "readAttribute"
      attribute: "MeasuredValue"
      response:
          saveAs: ValueBeforeChange
          constraints:
              type: int16u
              minValue: 0
              maxValue: 65534

    - label: "Step 3: Operate on device to change the flow significantly"
      cluster: "LogCommands"
      command: "UserPrompt"
      PICS: PICS_USER_PROMPT && FLW.M.FlowChange
      arguments:
          values:
              - name: "message"
                value: "Please enter 'y' for success"
              - name: "expectedValue"
                value: "y"

    - label:
          "Step 4: After a few seconds, TH reads from the DUT the MeasuredValue
          attribute."
      PICS: FLW.S.A0000 && FLW.M.FlowChange
      command: "readAttribute"
      attribute: "MeasuredValue"
      response:
          constraints:
              type: int16u
              minValue: 0
              maxValue: 65534
              notValue: ValueBeforeChange
